trackpad and Mac mini

I have purchased a Trackpad and it will not work with my mac mini.

the mini says software is up to date but the track pad requires OSX 10.6 my mini is supposedly up to date with 10.5.

what can I do to get my trackpad to work

Magic Trackpad

Back To Product

Follow this Question

1 Answer from the Community

  • OSX 10.5 may be up to date, but you need OSX 10.6
    Upgrade to OSX 10.6, it is a paid upgrade.

    Was this useful? Answer 1

    4 of 10 people found this useful

Related Questions